package androidx.lifecycle;

import X.AnonymousClass0CB;
import X.AnonymousClass0CD;
import X.AnonymousClass0CH;
import X.C03040Bq;
import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import com.bytedance.covode.number.Covode;

public class LifecycleService extends Service implements AnonymousClass0CH {
    public final C03040Bq LIZ = new C03040Bq(this);

    static {
        Covode.recordClassIndex(1208);
    }

    public AnonymousClass0CD getLifecycle() {
        return this.LIZ.LIZ;
    }

    public void onCreate() {
        this.LIZ.LIZ(AnonymousClass0CB.ON_CREATE);
        super.onCreate();
    }

    public void onDestroy() {
        C03040Bq r1 = this.LIZ;
        r1.LIZ(AnonymousClass0CB.ON_STOP);
        r1.LIZ(AnonymousClass0CB.ON_DESTROY);
        super.onDestroy();
    }

    public IBinder onBind(Intent intent) {
        this.LIZ.LIZ(AnonymousClass0CB.ON_START);
        return null;
    }

    public void onStart(Intent intent, int i) {
        this.LIZ.LIZ(AnonymousClass0CB.ON_START);
        super.onStart(intent, i);
    }

    public int onStartCommand(Intent intent, int i, int i2) {
        return super.onStartCommand(intent, i, i2);
    }
}
